[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CheckLst' (#lcl)

# TCheckListClicked

Defines an object procedure signalled when an item in TCheckListBox is clicked.

## Declaration

Source position: checklst.pas line 32

`type TCheckListClicked = procedure(`
`Sender: TObject;`
`Index: Integer`
`) of object;`

## Arguments

`Sender` |  | TObject instance for the event notification.
`Index` |  | Ordinal position for the item clicked in the control.

## Description

TCheckListClicked is an object procedure type that defines an event handler signalled when an item in TCheckListBox is clicked. TCheckListClicked is the type used to implement the OnItemClick event handler in TCheckListBox. Applications must provide an implementation of the type and assign to the event handler to respond to the event notification.

## See also

TCheckListBox.OnItemClick |  | Deprecated. Event handler signalled when the check box state for a specific item has been changed.